curl --request POST \
--url https://api.tagada.io/api/public/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pagination": {
"page": 1,
"pageSize": 20
}
}
'{
"payments": [
{
"id": "pay_123xyz",
"amount": 2999,
"currency": "USD",
"status": "succeeded",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"paymentInstrument": {
"card": {
"last4": "4242",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
}
},
"transactions": [
{
"id": "txn_123",
"type": "purchase",
"status": "succeeded",
"amount": 2999,
"currency": "USD"
}
]
}
],
"total": 1,
"pageCount": 1
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}payments
List payments with transactions
List and filter payments with their associated transactions. Supports pagination, sorting, and advanced filtering options.
Supported filters:
- Store IDs
- Payment status and sub-status
- Currency and amount
- Card details (last4, brand, expiry)
- Customer information (email, name)
- Date ranges
- Dispute status and type
POST
/
api
/
public
/
v1
/
payments
curl --request POST \
--url https://api.tagada.io/api/public/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pagination": {
"page": 1,
"pageSize": 20
}
}
'{
"payments": [
{
"id": "pay_123xyz",
"amount": 2999,
"currency": "USD",
"status": "succeeded",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"paymentInstrument": {
"card": {
"last4": "4242",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
}
},
"transactions": [
{
"id": "txn_123",
"type": "purchase",
"status": "succeeded",
"amount": 2999,
"currency": "USD"
}
]
}
],
"total": 1,
"pageCount": 1
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}